org.encog.ml.bayesian.parse

## Class ParsedProbability

- java.lang.Object
- - org.encog.ml.bayesian.parse.ParsedProbability

-     public class ParsedProbability
      extends Object

  A probability that has been parsed.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParsedProbability()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBaseEvent(ParsedEvent event)` Add a base event.
    `void` | `addGivenEvent(ParsedEvent event)`
    `void` | `defineRelationships(BayesianNetwork network)` Define the relationships.
    `void` | `defineTruthTable(BayesianNetwork network, double result)` Define the truth table.
    `int[]` | `getArgs(BayesianNetwork network)` Get the arguments to this event.
    `List<ParsedEvent>` | `getBaseEvents()`
    `ParsedEvent` | `getChildEvent()`
    `List<ParsedEvent>` | `getGivenEvents()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParsedProbability

          public ParsedProbability()

  - ### Method Detail

    - #### addGivenEvent

          public void addGivenEvent(ParsedEvent event)

    - #### addBaseEvent

          public void addBaseEvent(ParsedEvent event)

      Add a base event.
      Parameters:
        `event` - The base event to add.

    - #### getArgs

          public int[] getArgs(BayesianNetwork network)

      Get the arguments to this event.
      Parameters:
        `network` - The network.
      Returns:
        The arguments.

    - #### getChildEvent

          public ParsedEvent getChildEvent()

      Returns:
        The child events.

    - #### defineTruthTable

          public void defineTruthTable(BayesianNetwork network,
                              double result)

      Define the truth table.
      Parameters:
        `network` - The bayesian network.
        `result` - The resulting probability.

    - #### getBaseEvents

          public List<ParsedEvent> getBaseEvents()

      Returns:
        The base events.

    - #### getGivenEvents

          public List<ParsedEvent> getGivenEvents()

      Returns:
        The given events.

    - #### defineRelationships

          public void defineRelationships(BayesianNetwork network)

      Define the relationships.
      Parameters:
        `network` - The network.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.